Package org.eclipse.cdt.core.dom.ast

# Interface IASTImplicitDestructorNameOwner

All Superinterfaces:
  `IASTNode`

All Known Subinterfaces:
  `ICPPASTArraySubscriptExpression`, `ICPPASTBinaryExpression`, `ICPPASTCastExpression`, `ICPPASTCatchHandler`, `ICPPASTCompoundStatement`, `ICPPASTDeleteExpression`, `ICPPASTExpression`, `ICPPASTExpressionList`, `ICPPASTFieldReference`, `ICPPASTFoldExpression`, `ICPPASTForStatement`, `ICPPASTFunctionCallExpression`, `ICPPASTLambdaExpression`, `ICPPASTLiteralExpression`, `ICPPASTNaryTypeIdExpression`, `ICPPASTNewExpression`, `ICPPASTPackExpansionExpression`, `ICPPASTRangeBasedForStatement`, `ICPPASTSimpleTypeConstructorExpression`, `ICPPASTTypeIdExpression`, `ICPPASTTypenameExpression`, `ICPPASTUnaryExpression`, `IGPPASTBinaryExpression`

public interface IASTImplicitDestructorNameOwner extends IASTNode
An AST node that may have implicit destructor names.

Since:
  5.10
See Also:
  - `IASTImplicitDestructorName`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`IMPLICIT_DESTRUCTOR_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IASTImplicitDestructorName[]`
`getImplicitDestructorNames()`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### IMPLICIT_DESTRUCTOR_NAME

static final ASTNodeProperty IMPLICIT_DESTRUCTOR_NAME

## Method Details

### getImplicitDestructorNames

IASTImplicitDestructorName[] getImplicitDestructorNames()